[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.10 Image View

An image views type is "Image View".

#### Signals

Image views send the following signals.

`signalMouseDown`

  Generated when the mouse has been pressed within the controls rectangle.

`signalMouseUp`

  Generated when the mouse has been released within the controls rectangle.

`signalMouseMoved`

  Generated when the mouse has been moved within the control rectangle.

`signalClicked`

  Generated when the mouse has been released within the controls rectangle after it has was pressed within the area.

#### Attributes

Image views publish the following attributes.

`Style`

  The following styles manipulate the appearance of the components frame:

  These styles manipulate the drawing of the actual image:

`Alpha`

  The alpha of the applied background textures.

`Image`

  This is the image that is drawn inside the control. If it's not given, then the image given by ``Texture'` is drawn instead.

`KeyColor`

  This optional triplet denotes the image's key color. If not given the default value of 255,0,255 is used.

#### Skin Attributes

Image views support the following skin attributes.

`Texture`

  Texture used to draw the components background.

`OverlayTextureAlpha`

  The default alpha value used when drawing the background texture.

#### Properties

Image views do not publish any properties.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.